Skip to main content
GET
/
api
/
v1
/
plans
List plans
curl --request GET \
  --url https://api.example.com/api/v1/plans \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "available_parameters": {
        "billing_periods": {},
        "capacity_thresholds": {},
        "slot_components": [
          "<string>"
        ]
      },
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "id": "<string>",
      "name": "<string>",
      "net_terms": 123,
      "plan_type": "STANDARD",
      "price_components": [
        {
          "id": "<string>",
          "name": "<string>",
          "fee": {
            "rates": [
              {
                "price": "<string>",
                "term": "MONTHLY"
              }
            ]
          },
          "product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7"
        }
      ],
      "product_family": {
        "id": "<string>",
        "name": "<string>"
      },
      "status": "DRAFT",
      "version": 123,
      "version_id": "<string>",
      "description": "<string>",
      "trial": {
        "duration_days": 1,
        "is_free": true,
        "trialing_plan_id": "plan_7n42DGM5Tflk9n8mt7Fhc7"
      }
    }
  ],
  "pagination_meta": {
    "page": 1,
    "per_page": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

product_family_id
string<MeteroidId>
Example:

"pf_7n42DGM5Tflk9n8mt7Fhc7"

page
integer<int32>

Page number (0-indexed)

Required range: x >= 0
per_page
integer<int32>

Number of items per page

Required range: 1 <= x <= 100

Response

List of plans

data
object[]
required
pagination_meta
object
required